def response_is_empty(query: str, connection) -> bool:
    with connection.cursor() as cursor:
        cursor.execute(query)
        response = cursor.fetchall()
        return len(response) == 0

def mysql_response_is_empty(query: str, args_dict, connection) -> bool:
    with connection.cursor() as cursor:
        cursor.execute(query, args_dict)
        response = cursor.fetchall()
        return len(response) == 0
